liip_imagine:
    resolvers:
        default:
            web_path:
                cache_prefix: uploads/cache
    loaders:
        default:
            filesystem:
                locator: filesystem_insecure
                data_root:
                    - "%kernel.project_dir%/public"
                    # If you are working with a capistrano like setup you need the following line
                    # - "%kernel.project_dir%/../../shared/public"
    driver: imagick
    data_loader: default
    filter_sets:
        optim:
            quality: 85
            format: jpg
            filters:
                strip: ~
        optimjpg:
            quality: 85
            format: jpg
            filters:
                strip: ~
        optimpng:
            quality: 85
            format: png
            filters:
                strip: ~

        # ImagePagePart srcset JPG filters
        image_huge_jpg:
            quality: 95
            format: jpg
            filters:
                strip: ~
                thumbnail: { size: [2400,null], mode: outbound, allow_upscale: false }
        image_big_jpg:
            quality: 95
            format: jpg
            filters:
                strip: ~
                thumbnail: { size: [1200,null], mode: outbound, allow_upscale: false }
        image_medium_jpg:
            quality: 95
            format: jpg
            filters:
                strip: ~
                thumbnail: { size: [600,null], mode: outbound, allow_upscale: false }
        image_small_jpg:
            quality: 95
            format: jpg
            filters:
                strip: ~
                thumbnail: { size: [400,null], mode: outbound, allow_upscale: false }

        # ImagePagePart srcset PNG filters
        image_huge_png:
            quality: 95
            format: png
            filters:
                strip: ~
                thumbnail: { size: [2400,null], mode: outbound, allow_upscale: false }
        image_big_png:
            quality: 95
            format: png
            filters:
                strip: ~
                thumbnail: { size: [1200,null], mode: outbound, allow_upscale: false }
        image_medium_png:
            quality: 95
            format: png
            filters:
                strip: ~
                thumbnail: { size: [600,null], mode: outbound, allow_upscale: false }
        image_small_png:
            quality: 95
            format: png
            filters:
                strip: ~
                thumbnail: { size: [400,null], mode: outbound, allow_upscale: false }

        carousel_lg:
            quality: 95
            filters:
                strip: ~
                thumbnail: { size: [1920, null]}

        carousel_md:
            quality: 90
            filters:
                strip: ~
                thumbnail: { size: [1280, null]}

        carousel_sm:
            quality: 85
            filters:
                strip: ~
                thumbnail: { size: [960, null]}

        carousel_xs:
            quality: 80
            filters:
                strip: ~
                thumbnail: { size: [720, null]}

        footer_logo:
            quality: 100
            filters:
                strip: ~
                thumbnail: { size:[250, null]}

        custom:
            quality: 80

        logo:
            quality: 100
            format: png
            filters:
                thumbnail: { size: [null, 100] }

        link_thumbnail:
            quality: 90
            filters:
                thumbnail: { size: [300, null] }

        portrait:
            quality: 85
            filters:
                thumbnail: { size: [150, 225]}

        gallery_thumbnail:
            quality: 65
            format: jpg
            filters:
                thumbnail: { size: [250, 250], mode: outbound }

        gallery_full:
            quality: 85
            format: png
            filters:
                thumbnail: { size: [1280, 1280] }

        homepage_sponsor:
            quality: 85
            filters:
                thumbnail: { size: [300,200], mode: inset }
